Subject: Re: [PATCH v2 6/6] ipv6: Do route updating for redirect in ndisc layer

From: Duan Jiong <[email-masked]>
Date: Wed, 09 Oct 2013 15:00:26 +0800

于 2013年10月09日 09:43, Hannes Frederic Sowa 写道:
> Hi Duan!
> 
> On Wed, Sep 18, 2013 at 06:13:37AM +0200, Hannes Frederic Sowa wrote:
>> Especially because redirects also help in the on-link determination (same
>> RFC, section 8), I changed my mind and am still in favour of updating it
>> in the ndisc layer. In my opinion we just have to consider all routing
>> tables and apply the update to every one which carries a valid next hop
>> to the source of the redirect (under consideration of the destination).
>>
>> This will be important if we actually try to get linux to correctly
>> implement the ipv6 subnet model (RFC 5942, Section 4 Rule 1). In that
>> case we are not allowed to assume nodes on-link even if they would match
>> the same prefix as a locally configured address.
> 
> I am playing around with a simple patch which does suppress adding routing
> information for the on-link assumption we currently do in linux.
> 
> Are you intereseted in following up on this? I still do think we should update
> not only the routing table the socket uses but all routing tables which have a
> valid route towards the router which emitted the redirect.
> 

No, thanks, i have got other things on my mind, more important, but i will
pay attention to it.

Thanks,
  Duan.

> I try to check if we actually handle redirect messages when ECMP routes are in
> use correctly.
>